GET /top-traders
The biggest winners right now: each wallet’s best coin by profit among coins traded in the window.
GET https://uprally.co/api/v1/top-tradersParameters
Section titled “Parameters”| Name | In | Required | Meaning |
|---|---|---|---|
minutes | query | Default 60 | |
limit | query | Default 12 |
Response
Section titled “Response”| Field | Type | Required | Meaning |
|---|---|---|---|
wallets | object[] | yes | |
wallets[].wallet | string | yes | |
wallets[].token | string | yes | |
wallets[].pnlUsd | number or null | yes | US dollars; null when not known |
A real response
Section titled “A real response”Captured from the live API on Robinhood Chain, exactly as it was sent (long calldata shortened).
{ "since": "2026-10-14T20:18:15.791Z", "minutes": 60, "rules": { "minCoins": 3, "minBoughtUsd": 300, "maxTradesPerCoin": 20, "flipSeconds": 120, "maxFlipShare": 0.5, "maxTradesPerDay": 300, "minWins": 2, "minWinRate": 0.5, "candidates": 2000 }, "wallets": [ { "wallet": "0x754f15aa28db596f6235b41a2ec0ffd02215509a", "token": "0x94fc9ed527fc12d3c25229c44922e210f7e9fef0", "pnlUsd": 34211.563123516695, "held": true, "lastAt": "2026-10-16T02:37:08.600Z", "ticker": "Dacity", "name": "Dacity Coin", "image": "https://cdn.dexscreener.com/cms/images/KH1ThHdeuKui5Uwk?width=800&height=800&quality=95&format=auto" }, { "wallet": "0x29c5de81882b23f3c7ddd9e96611f56616a597e4", "token": "0x94fc9ed527fc12d3c25229c44922e210f7e9fef0", "pnlUsd": 33702.073750067655, "held": true, "lastAt": "2026-10-16T03:26:54.000Z", "ticker": "Dacity", "name": "Dacity Coin", "image": "https://cdn.dexscreener.com/cms/images/KH1ThHdeuKui5Uwk?width=800&height=800&quality=95&format=auto" } ]}Errors
Section titled “Errors”Every error is { "error": { "code", "message", "fix"? } }. This endpoint can answer:
INVALID_QUERY: A query parameter is out of range or malformed;fieldsays which.DATA_UNREACHABLE: The data behind this answer could not be read just now.